Bug 1488682 - [regression] Update to 4.12.9 seems to break ACPI fro Fn keys [NEEDINFO]
Summary: [regression] Update to 4.12.9 seems to break ACPI fro Fn keys
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 26
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Regression, Reopened
Depends On:
Blocks: 1308538
TreeView+ depends on / blocked
 
Reported: 2017-09-06 00:12 UTC by Luya Tshimbalanga
Modified: 2017-12-07 08:58 UTC (History)
22 users (show)

Fixed In Version: kernel-4.14.4-300
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-07 08:58:08 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
luya: needinfo? (kernel-maint)


Attachments (Terms of Use)
upstream patch used for the fix. (5.66 KB, message/rfc822)
2017-09-26 06:45 UTC, Luya Tshimbalanga
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 196847 None None None 2017-09-06 17:35 UTC

Description Luya Tshimbalanga 2017-09-06 00:12:58 UTC
Description of problem:
Recent update to kernel 4.12.9 halted the Function keys on some laptop (in this case, ASUS X550ZE). Previous version 4.11.x has hotkeys working as intended.

Version-Release number of selected component (if applicable):
 4.12.9-300.fc26

How reproducible:
Always

Steps to Reproduce:
1. Update to the latest stable kernel
2.
3.

Actual results:
Function keys (multimedia) stopped working

Expected results:
Function keys should work

Additional info:
See https://bugzilla.kernel.org/show_bug.cgi?id=115021 where the fix were applied and also https://bugzilla.redhat.com/show_bug.cgi?id=1206862

Comment 1 Hans de Goede 2017-09-06 14:23:33 UTC
I guess this happened when jumping from 4.11 to 4.12 right, not from 4.12.x to 4.12.9 ?

In that case it is probably best if you file a new bug upstream, pointing to the old bug and that it is broken again in 4.12, I expect upstream to know best what info they will need to debug this.

Comment 2 Luya Tshimbalanga 2017-09-06 17:35:55 UTC
(In reply to Hans de Goede from comment #1)
> In that case it is probably best if you file a new bug upstream, pointing to
> the old bug and that it is broken again in 4.12, I expect upstream to know
> best what info they will need to debug this.

Done. 
https://bugzilla.kernel.org/show_bug.cgi?id=196847

Comment 3 Luya Tshimbalanga 2017-09-07 02:12:29 UTC
Follow upstream step for debugging:
https://bugzilla.kernel.org/show_bug.cgi?id=115021#c58

All function keys first work with parameters from link above. After reboot, Fn keys somehow got restored. I am closing this bug for now as I can no longer reproduced it.

Comment 4 Luya Tshimbalanga 2017-09-07 05:17:40 UTC
Reopening as I was able to reproduce the bug by closing and opening the lid from my laptop.

Comment 5 Luya Tshimbalanga 2017-09-26 06:45 UTC
Created attachment 1330888 [details]
upstream patch used for the fix.

In summary, ECDT device is not registered as an ACPI device, so there is no driver binding against it. As a result, lock-up occurred between CPU hot plug and ACPI scan during the suspend process therefore EC functions like hotkeys failed.
Test was done on ASUS X550ZE and upstream provided the patch to solve the issue.

I am not if I should close this bug report now or should  wait Fedora kernel team backport the patch until upstream kernel release.

Comment 6 Luya Tshimbalanga 2017-09-27 06:26:30 UTC
Upstream just published the following patches:
https://patchwork.kernel.org/patch/9971553/
https://patchwork.kernel.org/patch/9971557/

addressing the issue related to ECDT devices not registered as ACPI. In my case, ASUS X550ZE was affected and it is likely almost all ASUS X series have similar symptom.

Comment 7 Laura Abbott 2017-09-27 18:11:38 UTC
The 2nd patch in that series does not apply cleanly to the 4.13 series and the diffs are large enough this should be handled by the maintainers. Ideally this will happen through the regular stable process.

Comment 8 Luya Tshimbalanga 2017-09-27 22:10:02 UTC
Thanks for the info. I will test future update once the maintainers applied the patches on stable.

Comment 9 Luya Tshimbalanga 2017-11-02 03:23:38 UTC
(In reply to Laura Abbott from comment #7)
> The 2nd patch in that series does not apply cleanly to the 4.13 series and
> the diffs are large enough this should be handled by the maintainers.
> Ideally this will happen through the regular stable process.

Just following up about the status. Will it be possible to apply the patches from comment #6 for Rawhide i.e. 4.14 until the fixes landed on upstream kernel as the bug initially occurred on 4.12 to the current stable kernel? Thanks.

Comment 10 Luya Tshimbalanga 2017-12-07 08:58:08 UTC
I just received an e-mail confirming the upstream fixes recently landed on 4.14.4 as highlighted below
https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.4
Closing this bug as resolved.


Note You need to log in before you can comment on or make changes to this bug.